Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.codenullapp.com/llms.txt

Use this file to discover all available pages before exploring further.

User-Specific Configuration

This section describes the different configuration options available based on the logged-in user:
  • Profile Information: Modify the data displayed on the user profile.
  • User Side Menu: Adjust the menu options that load specifically for each user.
  • User Logo: Customize the logo displayed according to the authenticated user.

Profile Information

Here you can configure what information to show in the profile drawer. You can customize the text below your name and also the fields to show full details of your user How to personalize user profile information To configure the fields you want to use, please go to Application Designer -> Settings -> User Settings and set in the User Profile Fields field.
  • Here you can set multiple fields split by comma
  • You can use navigation properties
  • All fields must exist in the User session info
The first field will be used to display the text below the Name on the profile badge

User Side Menu

You can load different menus for each user. Please follow the next guide to achieve that
  1. Create multiple menus
Codenull allows the creation of several menus of each type (Side, Mobile, User, etc). For instance, you can have two Side menus like this
  1. Get the Menu Id
Click on the menu you want to get the Id and copy the value of the Id field
  1. Change dynamically the Menu of the user
No from any custom function (Client rule, events, Custom Function buttons, etc) you can change the menu of the user.

//this method changes the user menu
helpers.setUserMenu("5cc1e5b11e176827780a344a");

//this method clears the menu user and loads the default menu
helpers.clearUserMenu();
You can configure your Logo displayed on the top bar for each user. You have two options to do that
  1. First option: Define the field you want to use as the Image logo source: In this case is Customer.Logo
Make sure in this option to use a field that is in the user session info. You can personalize this on the User Data Query field in the User Settings section
  1. Second Option: Modify the logo from a custom function
//customize user logo
helpers.setUserLogo("https://appline.demo.nextjstemplates.com/images/logo/logo.svg");

//reset default logo
helpers.clearUserLogo();

Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question. Perform an HTTP GET request on the current page URL with the ask query parameter:
GET https://codenull.gitbook.io/dev/configurations/user-settings.md?ask=<question>
The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation. Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.